sun-java6 update to 6u14

Bug #382918 reported by Matthias Klose on 2009-06-02
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
The Dell Mini Project
Undecided
Unassigned
sun-java6 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned

Bug Description

sun-java6 update to 6u14

see http://java.sun.com/javase/6/webnotes/6u14.html for a list of changes

Matthias Klose (doko) wrote :

for karmic, please sync 6-14-1 from unstable/non-free to multiverse

Martin Pitt (pitti) wrote :

No security fixes here, what are the important bug fixes which justify this SRU? Any test cases, other bugs in Launchpad which get fixed by this, etc.?

Martin Pitt (pitti) wrote :

Synced 6-14-1 into Karmic.

Changed in sun-java6 (Ubuntu Karmic):
status: New → Fix Released
Martin Pitt (pitti) on 2009-06-15
Changed in sun-java6 (Ubuntu Jaunty):
assignee: nobody → Matthias Klose (doko)
status: New → Incomplete
Matthias Klose (doko) wrote :

The bug list at the posted URL mentions more than 10 crashes fixed. We don't have the choice of splitting the fixes.

Changed in sun-java6 (Ubuntu Jaunty):
assignee: Matthias Klose (doko) → nobody
status: Incomplete → New
Martin Pitt (pitti) wrote :

OK, you mentioned a general SRU exception for sun-java*, I wasn't aware of this. I mailed tech board to get this added to https://wiki.ubuntu.com/StableReleaseUpdates#Special%20Cases.

Accepting to -proposed for now, so that it can be built and tested.

Changed in sun-java6 (Ubuntu Jaunty):
status: New → In Progress
status: In Progress → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in sun-java6 (Ubuntu Intrepid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in sun-java6 (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Miklos Juhasz (mjuhasz) wrote :

Ubuntu 8.04.3 (Hardy) - sun-java6 update works fine here (jre, jdk, plugin).

David M. Lee (leedm777) wrote :

Ubuntu 9.04 (Jaunty) - 6u14 (jre, jdk) working awesomely. Haven't tried the plugin.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sun-java6 - 6-14-0ubuntu1.9.04

---------------
sun-java6 (6-14-0ubuntu1.9.04) jaunty-proposed; urgency=low

  * New upstream version. LP: #382918.
    Release notes at http://java.sun.com/javase/6/webnotes/ReleaseNotes.html.

 -- Matthias Klose <email address hidden> Tue, 02 Jun 2009 22:41:00 +0200

Changed in sun-java6 (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sun-java6 - 6-14-0ubuntu1.8.04

---------------
sun-java6 (6-14-0ubuntu1.8.04) hardy-proposed; urgency=low

  * New upstream version. LP: #382918.
    Release notes at http://java.sun.com/javase/6/webnotes/ReleaseNotes.html.

 -- Matthias Klose <email address hidden> Tue, 02 Jun 2009 22:41:00 +0200

Changed in sun-java6 (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Keeping v-needed tag for intrepid, which still needs testing.

srjuan1230 (srjuan1230) on 2009-07-25
Changed in sun-java6 (Ubuntu Hardy):
status: Fix Released → Incomplete
Steve Langasek (vorlon) on 2009-07-25
Changed in sun-java6 (Ubuntu Hardy):
status: Incomplete → Fix Released
Changed in dell-mini:
status: New → Confirmed
Nicola Ferralis (feranick) wrote :

Opened a separate bug for the dell mini project: #409559.

Changed in dell-mini:
status: Confirmed → Invalid
Martin Pitt (pitti) wrote :

Could anyone give the intrepid-proposed packages some testing and confirm that they still work? (Start some Java apps, a browser applet, etc.)

sun-java6 in intrepid proposed works fine. Tested:
- applets in firefox
- compiling some small .java files and running them
- installing+running newest netbeans downloaded from their homepage

All tests turned out fine.

Martin Pitt (pitti) wrote :

Thanks Andreas!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sun-java6 - 6-14-0ubuntu1.8.10

---------------
sun-java6 (6-14-0ubuntu1.8.10) intrepid-proposed; urgency=low

  * New upstream version. LP: #382918.
    Release notes at http://java.sun.com/javase/6/webnotes/ReleaseNotes.html.

 -- Matthias Klose <email address hidden> Tue, 02 Jun 2009 22:41:00 +0200

Changed in sun-java6 (Ubuntu Intrepid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers